## ros-iron-plansys2-bringup 2.0.11

=== debian/changelog ===
ros-iron-plansys2-bringup (2.0.11-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 01 Aug 2023 22:00:00 -0000

ros-iron-plansys2-bringup (2.0.10-1jammy) jammy; urgency=high

  * Merge pull request #251 <https://github.com/PlanSys2/ros2_planning_system/issues/251> from PlanSys2/fix_bt_node
    Fix bt node
  * Change double quotes for simple ones (linter)
  * Make explicit which BTCreator is being used
  * Merge remote-tracking branch 'origin/master' into fix_goal_structure_issue_205
  * Merge pull request #240 <https://github.com/PlanSys2/ros2_planning_system/issues/240> from jjzapf/bt-builder-plugins
    New BT Builder and Plugin Interface
  * bt-builder-plugins: Setting default BT builder plugin to SimpleBTBuilder.
  * bt-builder-plugins: Creating BT builder plugin interface. Moving current BT builder to plugin named SimpleBTBuilder. Adding new and improved STN-based BT builder plugin named STNBTBuilder.
  * Merge remote-tracking branch 'origin/master' into fix_goal_structure_issue_205
  * Merge pull request #215 <https://github.com/PlanSys2/ros2_planning_system/issues/215> from Splinter1984/master
    add system status check
  * revert if statement
  * Merge remote-tracking branch 'upstream/master'
  * Contributors: Francisco Martín Rico, Josh Zapf, Marco Roveri, Splinter1984

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 16 Jul 2023 22:00:00 -0000

ros-iron-plansys2-bringup (2.0.9-1jammy) jammy; urgency=high

  * Expose lifecyclemanager timeout as a parameter, other misc fixes/features
  * Change bringup node to return an error on failure
  * Add timeout to startup_function
  * Rename function 'startup_script'
  * change 'startup_script'... function return to bool
  * Contributors: Francisco Martín Rico, Jake Keller

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 09 Jul 2022 22:00:00 -0000

ros-iron-plansys2-bringup (2.0.8-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-iron-plansys2-bringup (2.0.7-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 03 May 2022 22:00:00 -0000

ros-iron-plansys2-bringup (2.0.6-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-bringup (2.0.5-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-bringup (2.0.4-1jammy) jammy; urgency=high

  * Fix version
  * Fix ROS2 Buildfarm error due to Threads
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 02 May 2022 22:00:00 -0000

ros-iron-plansys2-bringup (2.0.3-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-iron-plansys2-bringup (2.0.2-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 02 Apr 2022 22:00:00 -0000

ros-iron-plansys2-bringup (2.0.1-1jammy) jammy; urgency=high

  * Update deprecated APIs in launchers and parameters
  * Update launcher param names
  * Merge galactic-devel
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 02 Feb 2022 23:00:00 -0000

ros-iron-plansys2-bringup (2.0.0-1jammy) jammy; urgency=high

  * Compile for ROS2 Galactic
  * Contributors: Francisco Martín Rico, Jonatan Olofsson

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 03 Jul 2021 22:00:00 -0000

ros-iron-plansys2-bringup (1.0.10-1jammy) jammy; urgency=high

  * pddl-tree-messages: Merging master and resolving conflicts.
  * Using custom behavior tree to enable action timeouts.
  * pddl-tree-messages: Merging upstream master and resolving conflicts.
  * Making TFD plugin type match popf.
  * linting
  * Configurable action BT
  * Configurable BT Action
  * Update version
  * Contributors: Alexander Xydes, Francisco Martín Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

ros-iron-plansys2-bringup (1.0.9-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 14 Mar 2021 23:00:00 -0000

ros-iron-plansys2-bringup (1.0.8-1jammy) jammy; urgency=high

  * Update API for FutureReturnCode
  * Add support for numeric conditions and effects.
  * Contributors: Fabrice Larribe, Francisco Martin Rico, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 11 Mar 2021 23:00:00 -0000

ros-iron-plansys2-bringup (1.0.7-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 03 Jan 2021 23:00:00 -0000

ros-iron-plansys2-bringup (1.0.6-1jammy) jammy; urgency=high

  * Disable boost functions
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 28 Dec 2020 23:00:00 -0000

ros-iron-plansys2-bringup (1.0.5-1jammy) jammy; urgency=high

  * Migration to c++17
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 27 Dec 2020 23:00:00 -0000

ros-iron-plansys2-bringup (1.0.4-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 23 Dec 2020 23:00:00 -0000

ros-iron-plansys2-bringup (1.0.3-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 23:00:00 -0000

ros-iron-plansys2-bringup (1.0.2-1jammy) jammy; urgency=high

  * Plan solvers as plugins
  * Contributors: Fabrice Larribe, Francisco Martin Rico, Stephen Balakirsky

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 23:00:00 -0000

ros-iron-plansys2-bringup (1.0.1-1jammy) jammy; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 18 Jul 2020 22:00:00 -0000

ros-iron-plansys2-bringup (1.0.0-1jammy) jammy; urgency=high

  * Foxy initial version
  * Boost:optional
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 18 Jul 2020 22:00:00 -0000

ros-iron-plansys2-bringup (0.0.8-1jammy) jammy; urgency=high


