=== debian/control ===
Source: ros-iron-plansys2-bringup
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-launch <!nocheck>, ros-iron-launch-testing <!nocheck>, ros-iron-plansys2-domain-expert, ros-iron-plansys2-executor, ros-iron-plansys2-lifecycle-manager, ros-iron-plansys2-planner, ros-iron-plansys2-problem-expert, ros-iron-rclcpp, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-plansys2-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-launch-ros, ros-iron-plansys2-domain-expert, ros-iron-plansys2-executor, ros-iron-plansys2-lifecycle-manager, ros-iron-plansys2-planner, ros-iron-plansys2-problem-expert, ros-iron-rclcpp, ros-iron-ros-workspace
Description: Bringup scripts and configurations for the ROS2 Planning System
